=== doc/CMakeLists.txt ===

set(USETYPST_DEFAULT_ALL_TARGET ON)

message("\n${BoldGreen}Build typst documentation ${PROJECT_NAME}${ColourReset}\n")
include(${CMAKE_UTILS_PATH}/modules/UseTYPST.cmake)
add_typst_document(peptidoms_documentation typst/peptidoms.typ)
add_typst_document(specglobtool_documentation typst/specglobtool.typ)
