=== debian/changelog ===
specpeptidoms (0.0.1-1~trixie+1) trixie; urgency=medium

  * First package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 12 Dec 2025 11:30:08 +0100
